### Constant

# Gio FILE_ATTRIBUTE_UNIX_MODE

since: 2.0

#### Declaration

    #define G_FILE_ATTRIBUTE_UNIX_MODE "unix::mode"

#### Description

A key in the “unix” namespace for getting the mode of the file (e.g. whether the file is a regular file, symlink, etc).

See the documentation for `lstat()`: this attribute is equivalent to the `st_mode` member of `struct stat`, and includes both the file type and permissions.

This attribute is only available for UNIX file systems.

Corresponding `GFileAttributeType` is `G_FILE_ATTRIBUTE_TYPE_UINT32`.

Available since: 2.0